Bug 1882264 - Bump job-dsl plugin to 1.76
Summary: Bump job-dsl plugin to 1.76
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: Akram Ben Aissi
QA Contact: Jitendar Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-24 08:04 UTC by jawed
Modified: 2020-10-27 16:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:44:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift jenkins pull 1161 0 None closed Bug 1882264: bump job-dsl to 1.76 2020-10-12 12:46:19 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:45:15 UTC

Description jawed 2020-09-24 08:04:03 UTC
Bump job-dsl plugin to 1.76

Comment 2 Jitendar Singh 2020-09-30 06:34:50 UTC
VERIFIED
Plugin-Version: 1.76
================
 jsingh@localhost  ~/plumbing   master ●  oc project
Using project "jenkins-test" on server "https://api.jenkins-dev-4.6-093004.qe.devcluster.openshift.com:6443".
 jsingh@localhost  ~/plumbing   master ●  oc new-app jenkins-ephemeral -p NAMESPACE=$(oc project -q) -p JENKINS_IMAGE_STREAM_TAG=jenkins-jitsingh:latest
--> Deploying template "openshift/jenkins-ephemeral" to project jenkins-test

     Jenkins (Ephemeral)
     ---------
     Jenkins service, without persistent storage.
     
     WARNING: Any data stored will be lost upon pod destruction. Only use this template for testing.

     A Jenkins service has been created in your project.  Log into Jenkins with your OpenShift account.  The tutorial at https://github.com/openshift/origin/blob/master/examples/jenkins/README.md contains more information about using this template.

     * With parameters:
        * Jenkins Service Name=jenkins
        * Jenkins JNLP Service Name=jenkins-jnlp
        * Enable OAuth in Jenkins=true
        * Memory Limit=1Gi
        * Jenkins ImageStream Namespace=jenkins-test
        * Disable memory intensive administrative monitors=false
        * Jenkins ImageStreamTag=jenkins-jitsingh:latest
        * Allows use of Jenkins Update Center repository with invalid SSL certificate=false

--> Creating resources ...
    route.route.openshift.io "jenkins" created
    configmap "jenkins-trusted-ca-bundle" created
    deploymentconfig.apps.openshift.io "jenkins" created
    serviceaccount "jenkins" created
    rolebinding.authorization.openshift.io "jenkins_edit" created
    service "jenkins-jnlp" created
    service "jenkins" created
--> Success
    Access your application via route 'jenkins-jenkins-test.apps.jenkins-dev-4.6-093004.qe.devcluster.openshift.com' 
    Run 'oc status' to view your app.
 jsingh@localhost  ~/plumbing   master ●  oc get pods 
NAME               READY   STATUS              RESTARTS   AGE
jenkins-1-deploy   1/1     Running             0          41s
jenkins-1-lqhvh    0/1     ContainerCreating   0          37s
 jsingh@localhost  ~/plumbing   master ●  oc get pods -w
NAME               READY   STATUS              RESTARTS   AGE
jenkins-1-deploy   1/1     Running             0          57s
jenkins-1-lqhvh    0/1     ContainerCreating   0          53s
jenkins-1-lqhvh    0/1     Running             0          89s
jenkins-1-lqhvh    1/1     Running             0          2m31s
jenkins-1-deploy   0/1     Completed           0          2m35s
^C%                                                                                                                                                                                            ✘ jsingh@localhost  ~/plumbing   master ●  oc rsh jenkins-1-lqhvh
sh-4.4$ cat /var/lib/jenkins/plugins/job-dsl/META-INF/MANIFEST.MF |grep Implementation-Version
sh-4.4$ cat /var/lib/jenkins/plugins/mailer/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 1.32.1
sh-4.4$ cat /var/lib/jenkins/plugins/blueocean/META-INF/MANIFEST.MF |grep Implementation-Version
Implementation-Version: 1.23.3
sh-4.4$ cd /var/lib/jenkins/plugins/blueocean/META-INF/
sh-4.4$ cat MANIFEST.MF 
Manifest-Version: 1.0
Archiver-Version: Plexus Archiver
Created-By: Apache Maven
Built-By: olamy
Build-Jdk: 1.8.0_201
Extension-Name: blueocean
Specification-Title: Blue Ocean is a new project that rethinks the use
 r experience of Jenkins. Designed from the ground up for Jenkins Pipe
 line and compatible with Freestyle jobs, Blue Ocean reduces clutter a
 nd increases clarity for every member of your team.
Implementation-Title: blueocean
Implementation-Version: 1.23.3
Group-Id: io.jenkins.blueocean
Short-Name: blueocean
Long-Name: Blue Ocean
Url: https://github.com/jenkinsci/blueocean-plugin/blob/master/blueoce
 an/doc/BlueOcean.adoc
Minimum-Java-Version: 1.8
Plugin-Version: 1.23.3
Hudson-Version: 2.150.3
Jenkins-Version: 2.150.3
Plugin-Dependencies: blueocean-bitbucket-pipeline:1.23.3,blueocean-com
 mons:1.23.3,blueocean-config:1.23.3,blueocean-core-js:1.23.3,blueocea
 n-dashboard:1.23.3,blueocean-events:1.23.3,blueocean-git-pipeline:1.2
 3.3,blueocean-github-pipeline:1.23.3,blueocean-i18n:1.23.3,blueocean-
 jira:1.23.3,blueocean-jwt:1.23.3,blueocean-personalization:1.23.3,blu
 eocean-pipeline-api-impl:1.23.3,blueocean-pipeline-editor:1.23.3,blue
 ocean-rest-impl:1.23.3,blueocean-rest:1.23.3,blueocean-web:1.23.3,jen
 kins-design-language:1.23.3,blueocean-autofavorite:1.2.3,blueocean-di
 splay-url:2.2.0,pipeline-build-step:2.7,pipeline-milestone-step:1.3.1
Plugin-Developers: Thorsten Iberian Sumurai:scherler:,Cliff Meyers:cli
 ffmeyers:,Tom Fennelly:tfennelly:,Vivek Pandey:vivek:,Kohsuke:kohsuke
 :,Josh McDonald:sophistifunk:,Ivan Meredith:imeredith:,Michael Neale:
 michaelneale:,Keith Zantow:kzantow:,James Dumay:i386:,Marc:marcesher:
 ,Paul Dragoonis:dragoonis:,Ivan Santos:pragmaticivan:,Peter Dave Hell
 o:PeterDaveHello:,Alexandru Somai:alexsomai:
Support-Dynamic-Loading: true
Plugin-License-Name: MIT License
Plugin-License-Url: https://opensource.org/licenses/MIT
Plugin-ScmUrl: https://github.com/jenkinsci/blueocean-plugin

sh-4.4$ cd ..
sh-4.4$ pwd
/var/lib/jenkins/plugins/blueocean
sh-4.4$ cd ..
sh-4.4$ cd job-dsl
sh-4.4$ cd META-INF/MANIFEST.MF 
sh: cd: META-INF/MANIFEST.MF: Not a directory
sh-4.4$ cat META-INF/MANIFEST.MF 
Manifest-Version: 1.0
Plugin-Dependencies: structs:1.19,script-security:1.54,vsphere-cloud:1
 .1.11;resolution:=optional,config-file-provider:2.15.4;resolution:=op
 tional,managed-scripts:1.3;resolution:=optional,configuration-as-code
 :1.15;resolution:=optional
Long-Name: Job DSL
Compatible-Since-Version: 1.72
Plugin-Developers: Justin Ryan:quidryan:jryan@netflix.com,Andrew Harme
 l-Law:andrewharmellaw:andrew@harmel-law.com,Daniel Spilker:daspilker:
 mail@daniel-spilker.com,Matt Sheehan:sheehan:mr.sheehan@gmail.com
Group-Id: org.jenkins-ci.plugins
Extension-Name: job-dsl
Plugin-Version: 1.76
Jenkins-Version: 2.121
Url: https://wiki.jenkins-ci.org/display/JENKINS/Job+DSL+Plugin
Short-Name: job-dsl

Comment 5 errata-xmlrpc 2020-10-27 16:44:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.